import { AppModel } from '../../../AppModel/AppModel';
import { BaseLeafOperation } from '../../type';
export declare type ModifyComponentIdLeafOperationContext = {
    componentId: string;
    newId: string;
};
export declare class ModifyComponentIdLeafOperation extends BaseLeafOperation<ModifyComponentIdLeafOperationContext> {
    do(prev: AppModel): AppModel;
    redo(prev: AppModel): AppModel;
    undo(prev: AppModel): AppModel;
}
